package de.intevation.gnv.propertiesreader;

/**
 * An interface that defines a single method to retrieve properties specified by
 * a key.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public interface PropertiesReader {

    /**
     * Retrieves a property by the given <i>ke<</i>.
     *
     * @param key The key of a property.
     * @param defaultValue The default value which is returned if no property
     * is found by <i>key</i>.
     * @return the value of a property.
     */
    public String getPropertieValue(String key, String defaultValue);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :